Skip to main content
`Ctrl`+`K`

# PetscStrToArray

Separates a string by a character (for example ‘ ‘ or ‘\n’) and creates an array of strings

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrToArray(const char s[], char sp, int *argc, char ***args)

Not Collective; No Fortran Support

## Input Parameters

- s - pointer to string

- sp - separator character

## Output Parameters

- argc - the number of entries in `args`

- args - an array of the entries with a `NULL` at the end

## Note

This may be called before `PetscInitialize()` or after `PetscFinalize()`

## Developer Notes

Uses raw `malloc()` and does not call error handlers since this may be used before PETSc is initialized.

Used to generate `argc`, `args` arguments passed to `MPI_Init()`

## See Also

`PetscStrToArrayDestroy()`, `PetscToken`, `PetscTokenCreate()`

## Level

intermediate

## Location

src/sys/utils/str.c

## Examples

src/mat/tutorials/ex7.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages